%define ver_major 2.26
%define _libexecdir %_prefix/libexec
%def_disable static
%def_disable vala
%def_enable xine
%def_enable gstreamer
%define enabled_backends %{?_enable_xine:xine} %{?_enable_gstreamer:gstreamer}
%def_enable nautilus
%def_enable bemused
%def_enable galago
%def_enable lirc
%def_enable mythtv
%def_enable publish
%def_disable tracker
%def_enable python
%def_enable browser_plugins

%if_enabled browser_plugins
%def_enable gmp_plugin
%def_enable complex_plugin
%def_enable narrowspace_plugin
%def_enable mully_plugin
%def_enable cone_plugin
%endif

Name: totem
Version: %ver_major.2
Release: alt1

Summary: Movie player for GNOME 2
Group: Video
License: GPL%def_disable static
URL: http://www.gnome.org/projects/totem
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

#Obsoletes: totem-plugins-coherence-upnp

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Source1: totem-bin-backend-ondemand.sh
# http://bugzilla.gnome.org/show_bug.cgi?id=552022
Patch1: %name-2.25.3-configure.patch
Patch2: %name-2.25.3-alt-link.patch
Patch3: %name-2.26.1-alt-skipto-link.patch

%define parser_ver 2.25.1
%define gst_ver 0.10.12
%define gst_plugins_ver 0.10.12

BuildPreReq: rpm-build-gnome gnome-common gtk-doc
BuildPreReq: intltool >= 0.40.0
%{?_enable_nvtv:BuildRequires: libnvtv-devel >= 0.4.5}
%{?_enable_xine:BuildRequires: libxine-devel >= 1.1.7}

%if_enabled gstreamer
BuildRequires: gstreamer-devel >= %gst_ver
BuildRequires: gst-plugins-devel >= %gst_plugins_ver
BuildRequires: gstreamer-utils >= %gst_ver
BuildRequires: gst-plugins-base
BuildRequires: gst-plugins-gconf
BuildRequires: gst-plugins-good
%endif

BuildPreReq: iso-codes-devel gnome-icon-theme
BuildPreReq: glib2-devel libgtk+2-devel libgio-devel libGConf-devel
BuildPreReq: libtotem-pl-parser-devel >= %parser_ver
BuildPreReq: libgnomeui-devel
BuildPreReq: libXtst-devel libXrandr-devel libXxf86vm-devel xorg-xproto-devel
%{?_enable_python:BuildRequires: python-module-pygtk-devel python-module-pygobject-devel}
%{?_enable_vala:BuildRequires: libvala-devel}
%{?_enable_galago:BuildPreReq: libgalago-devel >= 0.5.2}
BuildRequires: libdbus-glib-devel
%{?_enable_lirc:BuildRequires: liblirc-devel}
%{?_enable_mythtv:BuildRequires: libgmyth-devel libgmyth-upnp-devel}
%{?_enable_bemused:BuildPreReq: libbluez4-devel}
%{?_enable_publish:BuildPreReq: libepc-devel >= 0.3.0}
%{?_enable_tracker:BuildRequires: libtracker-devel}
%{?_enable_browser_plugins:BuildRequires:shared-mime-info >= 0.22 libstartup-notification-devel >= 0.8}
%{?_enable_nautilus:BuildRequires: libnautilus-devel}

BuildPreReq: desktop-file-utils   libSM-devel

BuildRequires: db2latex-xsl gnome-doc-utils imake gcc-c++
BuildRequires: perl-XML-Parser xorg-cf-files libX11-devel libXext-devel libXi-devel

Requires: iso-codes libtotem-pl-parser
Requires: %name-backend = %version-%release
Requires(post,postun): desktop-file-utils
PreReq: GConf
PreReq: librarian

%description
Totem is simple movie player for the Gnome desktop.
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

It also includes a thumbnailer for your movie files.

%package backend-gstreamer
Summary: Gstreamer backend for Totem
Group: Video
Provides: %name-backend = %version-%release
Provides: %name-gstreamer = %version-%release
# this hack need for alternatives libbaconvideowidget.so.0
%ifarch x86_64
Provides: libbaconvideowidget.so.0()(64bit)
%else
Provides: libbaconvideowidget.so.0
%endif
Obsoletes: %name-gstreamer < %version-%release
Requires: %name = %version-%release
Requires: gstreamer >= %gst_ver
Requires: gst-plugins-base
Requires: gst-plugins-good 

%description backend-gstreamer
This package provides the gstreamer backend for the Totem media player.

%package backend-xine
Summary: Xine backend for Totem
Group: Video
Provides: %name-backend = %version-%release
Provides: %name-xine = %version-%release
# this hack need for alternatives libbaconvideowidget.so.0
%ifarch x86_64
Provides: libbaconvideowidget.so.0()(64bit)
%else
Provides: libbaconvideowidget.so.0
%endif
Obsoletes: %name-xine < %version-%release
Requires: %name = %version

%description backend-xine
This package provides the xine backend for the Totem media player.

%package -n mozilla-plugin-%name
Summary: Mozilla plugin for the Totem media player
Group: Networking/WWW
Requires: %name = %version-%release
Requires: browser-plugins-npapi
Provides: mozilla-plugin-%name-xine
Obsoletes: mozilla-plugin-%name-xine < %version-%release
Provides: mozilla-plugin-%name-gstreamer
Obsoletes: mozilla-plugin-%name-gstreamer < %version-%release

%description -n mozilla-plugin-%name
A Mozilla plug-in for that enables media playback from within webpages
via the Totem media player.

%package plugins
Summary: default plugins for Totem
Group: Video
Requires: %name = %version-%release

%description plugins
A default plugins for Totem:
	gromit
	ontop
	screensaver
	skipto
	properties
	media-player-keys
	thumbnail
	pythonconsole
	opensubtitles

%package plugins-lirc
Summary: LIRC (Infrared remote) plugin for Totem
Group: Video
Requires: %name = %version-%release

%description plugins-lirc
A plugin to add LIRC (Infrared remote) support to Totem.

%package plugins-bemused
Summary: Bemused (bluez remote) plugin for Totem
Group: Video
Requires: %name = %version-%release
Requires: lirc

%description plugins-bemused
Control Totem through a mobile phone with a Bemused client

%package plugins-galago
Summary: Galago (Instant Messenger status) plugin for Totem
Group: Video
Requires: %name = %version-%release
Requires: galago-daemon

%description plugins-galago
A plugin to allow Totem to set Instant Messenger statuses when
playing a movie in fullscreen.

Your Instant Messenging program might require a plugin to take
advantage of this feature.

%package plugins-mythtv
Summary: MythTV plugin for Totem
Group: Video
Requires: %name = %version-%release

%description plugins-mythtv
A plugin to allow access to recordings on a remote MythTV server.

%package plugins-youtube
Summary: YouTube plugin for Totem
Group: Video
Requires: %name = %version-%release

%description plugins-youtube
A plugin to allow browsing YouTube videos, and watching them.

%package plugins-tracker
Summary: Tracker-based video search plugin for Totem
Group: Video
Requires: %name = %version-%release

%description plugins-tracker
A plugin to allow searching local videos, based on their tags, metadata,
or filenames, as indexing by the Tracker indexer.

%package plugins-publish
Summary: Share your playlist with other Totems on the local network
Group: Video
Requires: %name = %version-%release

%description plugins-publish
A plugin to allow you to share your current playlist (and the files included
in that playlist) with other Totems on the same local network.

%package plugins-jamendo
Summary: Plugin for jamendo.com music collection
Group: Video
Requires: %name = %version-%release
Requires: python-module-json

%description plugins-jamendo
A plugin to allow you to listen to the large collection of Creative
Commons licensed music on Jamendo

%package plugins-coherence_upnp
Summary: Coherence DLNA/UPnP totem plugin
Group: Video
Requires: %name = %version-%release
Requires: python-module-coherence coherence

%description plugins-coherence_upnp
This package contains a DLNA/UPnP client for Totem powered by Coherence

%package plugins-gromit
Summary: Gromit Annotations plugin for totem
Group: Video
Requires: %name = %version-%release
Requires: gromit

%description plugins-gromit
This package contains presentation helper to make annotations on screen via Gromit

%package plugins-brasero
Summary: Video disc recorder plugin for Totem
Group: Video
Requires: %name = %version-%release
Requires: brasero

%description plugins-brasero
This package contains plugin that allow record (S)VCDs or video DVDs
with Brasero

%package devel-doc
Summary: Development documentation for Totem
Group: Development/GNOME and GTK+
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
This package provides Totem reference manual

%package nautilus
Summary: Nautilus extension for the Totem media player
Group: Video
Requires: %name-backend = %version-%release
Provides: totem-gstreamer-nautilus = %version-%release
Provides: totem-xine-nautilus = %version-%release
Provides: totem-nautilus = %version
Provides: nautilus-totem-gstreamer = %version-%release
Provides: nautilus-totem-xine = %version-%release
Provides: nautilus-totem = %version-%release
Obsoletes: totem-gstreamer-nautilus < %version-%release
Obsoletes: totem-xine-nautilus < %version-%release
Obsoletes: totem-nautilus < %version-%release

%description nautilus
This package provides integration with the Totem media player for
the Nautilus file manager.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1

# fix bemused.totem-plugin
%__subst "s|^noinst_DATA|plugin_DATA|" src/plugins/bemused/Makefile.am

%build
gtkdocize
%autoreconf
export BROWSER_PLUGIN_DIR=%_libdir/browser-plugins-npapi
%define _configure_script ../configure

for backend in %enabled_backends
do
mkdir -p $backend
pushd $backend
%configure \
	%{subst_enable static} \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--enable-$backend \
	%{subst_enable python} \
	%{subst_enable vala} \
%if_enabled browser_plugins
	--enable-browser-plugins \
	%{?_enable_gmp_plugin:--enable-gmp-plugin} \
	%{?_enable_complex_plugin:--enable-complex-plugin} \
	%{?_enable_narrowspace_plugin:--enable-narrowspace-plugin} \
	%{?_enable_mully_plugin:--enable-mully-plugin} \
	%{?_enable_cone_plugin:--enable-cone-plugin} \
%endif
	%{?_enable_nautilus:--enable-nautilus=yes} \
	--with-dbus

%make_build
popd
done

%install

for backend in %enabled_backends
do
pushd $backend
%make_install DESTDIR=%buildroot install
mv %buildroot%_libdir/libbaconvideowidget.so.0.0.0 %buildroot%_libdir/libbaconvideowidget-$backend.so.0.0.0
for i in totem totem-audio-preview totem-video-indexer totem-video-thumbnailer; do
	mv %buildroot%_bindir/$i %buildroot%_bindir/$i-$backend
done
popd
done

rm -rf %buildroot%_libdir/totem/plugins/*/*.{a,la} \
 %buildroot%_libdir/browser-plugins-npapi/*.{a,la} \
 %buildroot%nautilus_extdir/*.{a,la} \
 %buildroot%_libdir/libbaconvideowidget.{so,a,la} \
 %buildroot%_libdir/libbaconvideowidget.so.0 

%find_lang --with-gnome %name
# install -m755 %SOURCE1 %buildroot%_bindir/%name-backend

mkdir -p %buildroot%_altdir

cat <<EOF >%buildroot%_altdir/%name-xine
%_libdir/libbaconvideowidget.so.0.0.0 %{_libdir}/libbaconvideowidget-xine.so.0.0.0 20
%_libdir/libbaconvideowidget.so.0 %{_libdir}/libbaconvideowidget-xine.so.0.0.0 20
%_bindir/totem %_bindir/totem-xine 20
%_bindir/totem-audio-preview %_bindir/totem-audio-preview-xine 20
%_bindir/totem-video-indexer %_bindir/totem-video-indexer-xine 20
%_bindir/totem-video-thumbnailer %_bindir/totem-video-thumbnailer-xine 20
EOF

cat <<EOF >%buildroot%_altdir/%name-gstreamer
%_libdir/libbaconvideowidget.so.0.0.0 %_libdir/libbaconvideowidget-gstreamer.so.0.0.0 10
%_libdir/libbaconvideowidget.so.0 %_libdir/libbaconvideowidget-gstreamer.so.0.0.0 10
%_bindir/totem %_bindir/totem-gstreamer 10
%_bindir/totem-audio-preview %_bindir/totem-audio-preview-gstreamer 10
%_bindir/totem-video-indexer %_bindir/totem-video-indexer-gstreamer 10
%_bindir/totem-video-thumbnailer %_bindir/totem-video-thumbnailer-gstreamer 10
EOF

%define schemas %name %name-video-thumbnail %name-handlers

%post
%gconf2_install %schemas

%preun
if [ $1 = 0 ]; then
	%gconf2_uninstall %schemas
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%config %_sysconfdir/gconf/schemas/%name.schemas
%config %_sysconfdir/gconf/schemas/%name-handlers.schemas
%config %_sysconfdir/gconf/schemas/%name-video-thumbnail.schemas
%dir %_libdir/%name
%_libexecdir/%name/totem-bugreport.py
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/*/*.png
%_datadir/icons/hicolor/*/*/*.svg
%_datadir/%name
%_man1dir/*

%if_enabled gstreamer
%files backend-gstreamer
%_altdir/%name-gstreamer
%_bindir/totem-gstreamer
%_bindir/totem-audio-preview-gstreamer
%_bindir/totem-video-indexer-gstreamer
%_bindir/totem-video-thumbnailer-gstreamer
%_libdir/libbaconvideowidget-gstreamer.so.0.0.0
%endif

%if_enabled xine
%files backend-xine
%_altdir/%name-xine
%_bindir/totem-xine
%_bindir/totem-audio-preview-xine
%_bindir/totem-video-indexer-xine
%_bindir/totem-video-thumbnailer-xine
%_libdir/libbaconvideowidget-xine.so.0.0.0
%endif

%files plugins
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/ontop
%_libdir/%name/plugins/screensaver
%_libdir/%name/plugins/skipto
%_libdir/%name/plugins/properties
%_libdir/%name/plugins/media-player-keys
%_libdir/%name/plugins/totem
%_libdir/%name/plugins/thumbnail
%_libdir/%name/plugins/pythonconsole
%_libdir/%name/plugins/opensubtitles
%_libdir/%name/plugins/screenshot

%if_enabled galago
%files plugins-galago
%_libdir/%name/plugins/galago
%endif

%if_enabled lirc
%files plugins-lirc
%_libdir/%name/plugins/lirc
%endif

%if_enabled mythtv
%files plugins-mythtv
%_libdir/%name/plugins/mythtv
%endif

%files plugins-youtube
%_libdir/%name/plugins/youtube

%if_enabled tracker
%files plugins-tracker
%_libdir/%name/plugins/tracker
%endif

%if_enabled bemused
%files plugins-bemused
%_libdir/%name/plugins/bemused
%endif

%if_enabled publish
%files plugins-publish
%_libdir/%name/plugins/publish
%endif

%if_enabled browser_plugins
%files -n mozilla-plugin-%name
%_libexecdir/totem-plugin-viewer
%_libdir/browser-plugins-npapi/*
%endif

%files plugins-jamendo
%_libdir/%name/plugins/jamendo

%files plugins-gromit
%_libdir/%name/plugins/gromit

%files nautilus
%nautilus_extdir/*

%files plugins-coherence_upnp
%_libdir/%name/plugins/coherence_upnp

%files plugins-brasero
%_libdir/%name/plugins/brasero-disc-recorder

%files devel-doc
%_datadir/gtk-doc/html/*

%exclude %_libdir/libbaconvideowidget.so.0

%changelog
* Mon May 04 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Sat Apr 04 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt2
- properly linked skipto plugin
- separate gromit plugin
- updated reqs for lirc, galago, jamendo and coherence-upnp plugins

* Thu Apr 02 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Tue Mar 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Thu Mar 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92
- updated buildreqs
- new coherence_upnp, brasero plugins
- added builtin screenshot plugin in -plugins package
- new devel-doc noarch subpackage

* Fri Jan 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt1
- 2.25.3
- removed obsolete %%post{,un} scripts
- packaged opensubtitles and jamendo plugins

* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.24.3-alt2.1
- NMU:
  * updated build dependencies

* Tue Nov 11 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.3-alt2
- clean description for youtube plugin (#17822)
- remove empty line in alternatives files(#17831)

* Wed Oct 29 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.3-alt1
- 2.24.3
- fix Provides/Obsoletes for totem-nautilus
- fix Provides libbaconvideowidget.so.0 for x86_64
- enable publish plugin

* Mon Oct 27 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt6
- rebuild against libtotem-plparser.so.12

* Wed Oct 22 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.2-alt5
- only one package mozilla-plugin-%%name , %%name-nautilus

* Tue Oct 21 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.2-alt4
- fix alternatives
- build gmyth plugin

* Mon Oct 13 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.2-alt3
- fix requires for gstreamer backend

* Fri Oct 10 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.2-alt2
- restructured for build xine and gstreamer backends from one spec
- subpackages of plugins
- build mozilla plugin
- define _libexecdir as  %_prefix/libexec
- disabled vala support (have only simple plugin now)
- TODO:
    - control for switch backend
    - publish plugin (need libepc-ui)
    - tracker plugin
    - gmyth plugin (need gmyth)

* Wed Oct 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.2-alt1
- 2.24.2
- remove "Dirty hack" (Provides: python%__python_version(atom) python%__python_version(gdata))
- add %%update_menus/%%clean_menus to %%post/%%postun
- build galago plugin
- build bemused plugin (bluez)
- TODO:
    - vala... support
    - libtotem, totem-*-plugin subpackages
    - publish plugin (need libepc-ui)
    - tracker plugin
    - gmyth plugin (need gmyth)

* Mon Sep 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- fixed source url
- updated buildreqs
- TODO:
    - galago, vala... support
    - libtotem, totem-*-plugin subpackages

* Thu May 22 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.2-alt2
- Correct requires

* Fri May 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.2-alt1
- 2.22.2

* Wed Apr 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.1-alt1
- 2.22.1

* Tue Mar 11 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.0-alt1
- 2.22.0

* Mon Jan 14 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.3-alt1
- 2.20.3

* Fri Oct 19 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.1-alt1
- 2.20.1

* Thu Sep 20 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.0-alt1
- 2.20.0

* Wed Sep 12 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.3-alt1
- 2.18.3

* Mon May 28 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.2-alt1
- 2.18.2

* Wed Apr 04 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.1-alt1
- 2.18.1

* Mon Mar 12 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.0-alt0.1
- 2.18.0

* Wed Mar 07 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.17.92-alt0.1
- 2.17.92 (!!!WARNING!!! this is an experimental build)

* Fri Feb 02 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.5-alt1
- 2.16.5

* Thu Nov 30 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt2
- Provides virtual totem-* packages
- Conflicts with *totem-gstreamer-*

* Wed Nov 29 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt1
- 2.16.4
- Add conflicts with libtotem* into libtotem-xine*

* Mon Nov 27 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.3-alt2
- 2.16.3

* Mon Oct 09 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.2-alt2
- 2.16.2

* Wed Oct 04 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt2
- separate lib* subpackages

* Fri Sep 08 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt1
- 2.16.1

* Tue Aug 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Mon May 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Thu Apr 20 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Wed Apr 19 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt4
- Spec cleanup

* Tue Mar 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt3
- ChangeLog corrected

* Tue Mar 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt2
- Disable --as-needed flag for linker

* Wed Dec 21 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt1
- 1.2.1
- build vanity utility
- remove freedesktop.pl menus

* Fri Oct 14 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.0-alt2
- repackage with xine backend

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- 1.2.0
- Resurrected devel
- Separate binary package for nautilus extensions
- Added dependency on gstreamer-subtitle

* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- rebuild with new libnautilus-burn.so.1 .

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sat Apr 30 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 22 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1
- move vanity to separate subpackage (close #6269) and do not build it by default.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.101-alt0.6
- 0.101.

* Tue Jan 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.100-alt0.5
- 0.100.

* Sat Nov 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.22-alt0.5
- 0.99.22

* Fri Oct 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.20-alt0.5
- 0.99.20

* Mon Jun 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.1-alt0.5
- 0.99.1
- summary, description by avp.

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.5
- First build for Sisyphus.
